IFCONFIG(1)

NAME
ifconfig - configure network interfaces

SYNOPSIS
ifconfig [OPTION...]

DESCRIPTION

    NAME [ADDR] [broadcast BRDADDR] [pointopoint|dstaddr DSTADDR]

    [netmask MASK] [metric N] [mtu N] [txqueuelen N] [up|down] [FLAGS]

Configure network interfaces.

    Linux-specific options

-T, --txqlen=N
    set transmit queue length to N

-a, --all
    display all available interfaces

-A, --address=ADDR
    set interface address to ADDR

-B, -b, --broadcast=ADDR, --brdaddr=ADDR
    set broadcast address to ADDR

-d, -p, --dstaddr=ADDR, --peer=ADDR
    set destination (peer) address to ADDR

--down
    shut the interface down

--format=FORMAT
    select output format; set to `help' for info

-F, --flags=FLAG[,FLAG...] set interface flags

-i, --interface=NAME
    configure network interface NAME

-l, --list
    list available or selected interfaces

-m, --netmask=MASK
    set netmask to MASK

--metric=N
    set metric of interface to N

-M, --mtu=N
    set mtu of interface to N

-s, --short
    short output format

--up
    activate the interface (default if address is given)

-v, --verbose
    output information when configuring interface

-?, --help
    give this help list

--usage
    give a short usage message

-V, --version
    print program version

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

Known flags are: allmulti, arp, automedia, broadcast, debug, dynamic, master, multicast, pointopoint, portsel, promisc, slave, trailers, up Prepend 'no' to negate the effect.

AUTHOR
Written by Marcus Brinkmann.

REPORTING BUGS
Report bugs to <bug-inetutils@gnu.org>.

COPYRIGHT
Copyright © 2015 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for ifconfig is maintained as a Texinfo manual. If the info and ifconfig programs are properly installed at your site, the command

    info ifconfig

should give you access to the complete manual.